package com.ruoyi.database.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @Description DwglLog
 * @Author lijingtong
 * @Date 2025-06-06
 */

@Data
@TableName("gwgl_log")
@ApiModel("非工作日饮酒报备单")
public class gwglLog {
    @ApiModelProperty("主键ID")
    private Long id;

    @ApiModelProperty("申请编号")
    private String applyNo;

    @ApiModelProperty("单位意见")
    private String reason;

    @ApiModelProperty("申请编号")
    private Integer result;

    @ApiModelProperty("部门ID")
    private Long deptId;

    @ApiModelProperty("部门名称")
    private String deptName;

    @ApiModelProperty("申请人ID")
    private Long userId;

    @ApiModelProperty("申请人姓名")
    private String userName;

    @ApiModelProperty("申请时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Long createTime;

    @ApiModelProperty("申请类型")
    private Integer type;

    @ApiModelProperty("审核人")
    private String checker;

    @ApiModelProperty("审核时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime checkTime;

    @ApiModelProperty("审核状态")
    private Integer checkState;



}
